Samba < 3.0.28 send_mailslot 函式遠端緩衝區溢位

high Nessus Plugin ID 29253

Synopsis

遠端 Samba 伺服器可能受到一個緩衝區溢位弱點影響。

描述

根據其標題來判斷,遠端主機上的 Samba 伺服器版本據報受到「send_mailslot」函式中「nmbd」的一個邊界錯誤影響。倘若已經在「smb.conf」中啟用「domain logons」選項,則攻擊者可利用此問題,使用將使用者名稱字串放在奇數位移並後接一個長「GETDC」字串的「SAMLOGON」網域登入封包,產生堆疊型緩衝區溢位問題。

請注意,Nessus 並未實際嘗試利用此問題,也未驗證遠端主機上是否已啟用「domain logons」選項。

解決方案

升級至 Samba 3.0.28 或更新版本。

另請參閱

https://secuniaresearch.flexerasoftware.com/secunia_research/2007-99/advisory/

https://www.securityfocus.com/archive/1/484818/30/0/threaded

https://www.samba.org/samba/security/CVE-2007-6015.html

Plugin 詳細資訊

嚴重性: High

ID: 29253

檔案名稱: samba_3_0_28.nasl

版本: 1.16

類型: remote

系列: Misc.

已發布: 2007/12/10

已更新: 2018/11/15

組態: 啟用 Paranoid 模式

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: High

基本分數: 9.3

時間分數: 7.3

媒介: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

時間媒介: CVSS2#E:POC/RL:OF/RC:C

弱點資訊

CPE: cpe:2.3:a:samba:samba:*:*:*:*:*:*:*:*

必要的 KB 項目: Settings/ParanoidReport, SMB/NativeLanManager

可被惡意程式利用: true

可輕鬆利用: Exploits are available

參考資訊

CVE: CVE-2007-6015

BID: 26791

CWE: 119